package electrosphere.game.data.item;

/**
 * Defines what a given use action does with an item
 */
public class ItemUsage {
    
    /**
     * If defined, this item will spawn the provided entity id on use
     */
    String spawnEntityId;

    /**
     * If defined, this item will place the block type on use
     */
    Integer blockId;

    /**
     * Gets the spawn entity id of the item usage
     * @return The spawn entity id
     */
    public String getSpawnEntityId(){
        return spawnEntityId;
    }

    /**
     * Sets the spawn entity id of the item usage
     * @param spawnEntityId The spawn entity id
     */
    public void setSpawnEntityId(String spawnEntityId) {
        this.spawnEntityId = spawnEntityId;
    }

    /**
     * Gets the block type id of the item usage
     * @return The block type id
     */
    public Integer getBlockId() {
        return blockId;
    }

    /**
     * Sets the block type id of the item usage
     * @param spawnEntityId The block type id
     */
    public void setBlockId(Integer blockId) {
        this.blockId = blockId;
    }

    

    

}
